Index: code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.cc
===================================================================
--- code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.cc	(revision 11166)
+++ code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.cc	(revision 11170)
@@ -51,5 +51,12 @@
         RegisterObject(Discharger);
 
+        this->reloadTime_ = 0.23f;
+        this->damage_ = 90.01f;
+        this->speed_ = 90.01f;
+        this->charges_ = 0;
+
         this->setMunitionName("LaserMunition");
+        this->setFireSound("sounds/Weapon_LaserFire.ogg");
+        this->setReloadSound("sounds/Reload_LaserFire.ogg", 0.8);
 
         hudImageString_ = "Orxonox/WSHUD_WM_LaserFire";
@@ -58,16 +65,23 @@
     void Discharger::fire()
     {
-        orxout() << "fire dis " << endl;
+        charges_ += 1;
+        orxout() << "c = " << charges_ << endl;
     }
     
-    bool Discharger::fire(float* reloadTime)
+    void Discharger::release()
     {
-        orxout() << "fire Discharger " << endl;
-        return false;
-    }
-    bool Discharger::release(float* reloadTime)
-    {
-        orxout() << "release Discharger " << endl;
-        return false;
+        orxout() << "release c = " << charges_ << endl;
+        BillboardProjectile* projectile = new BillboardProjectile(this->getContext());
+
+        this->computeMuzzleParameters(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getAimPosition());
+        projectile->setOrientation(this->getMuzzleOrientation());
+        projectile->setPosition(this->getMuzzlePosition());
+        projectile->setVelocity(this->getMuzzleDirection() * this->speed_ * charges_);
+
+        projectile->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
+        projectile->setDamage(this->getDamage() * charges_);
+        projectile->setShieldDamage(this->getShieldDamage() * charges_);
+        projectile->setHealthDamage(this->getHealthDamage() * charges_);
+        this->charges_ = 0;
     }
 }
Index: code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.h
===================================================================
--- code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.h	(revision 11166)
+++ code/branches/sagerjFS16/src/modules/weapons/weaponmodes/Discharger.h	(revision 11170)
@@ -55,8 +55,9 @@
 
             virtual void fire() override;
-            virtual bool fire(float* reloadTime) override;
-            virtual bool release(float* reloadTime) override;
+            virtual void release() override;
 
         private:
+            float speed_; // The speed of the fired projectile.
+            unsigned int charges_; // An indicator of how much you charged up.
     };
 }
Index: code/branches/sagerjFS16/src/orxonox/controllers/HumanController.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/controllers/HumanController.cc	(revision 11166)
+++ code/branches/sagerjFS16/src/orxonox/controllers/HumanController.cc	(revision 11170)
@@ -159,5 +159,4 @@
     void HumanController::fire(unsigned int firemode)
     {
-        orxout() << "fire hc " << firemode << endl;
         if (HumanController::localController_s)
             HumanController::localController_s->doFire(firemode);
@@ -166,5 +165,4 @@
     void HumanController::doFire(unsigned int firemode)
     {
-        orxout() << "do fire hc " << firemode << endl;
         if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
         {
@@ -180,5 +178,4 @@
     void HumanController::release(unsigned int firemode)
     {
-        orxout() << "release hc " << firemode << endl;
         if (HumanController::localController_s)
             HumanController::localController_s->doRelease(firemode);
@@ -187,5 +184,4 @@
     void HumanController::doRelease(unsigned int firemode)
     {
-        orxout() << "do release hc " << firemode << endl;
         if (HumanController::localController_s && HumanController::localController_s->controllableEntity_)
         {
Index: code/branches/sagerjFS16/src/orxonox/controllers/NewHumanController.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/controllers/NewHumanController.cc	(revision 11166)
+++ code/branches/sagerjFS16/src/orxonox/controllers/NewHumanController.cc	(revision 11170)
@@ -285,5 +285,4 @@
         if (firemode == 1 && this->controlMode_ == 1)
         {
-            orxout() << "do fire nhc if " << firemode << endl;
             //unlocked steering, steer on right mouse click
             HumanController::yaw(Vector2(this->currentYaw_, 0));
@@ -292,5 +291,4 @@
         else
         {
-            orxout() << "do fire nhc else " << firemode << endl;
             HumanController::doFire(firemode); //call for formationflight
         }
@@ -299,5 +297,4 @@
     void NewHumanController::doRelease(unsigned int firemode)
     {
-        orxout() << "do release nhc" << firemode << endl;
         if (!this->controllableEntity_)
             return;
Index: code/branches/sagerjFS16/src/orxonox/weaponsystem/Weapon.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/weaponsystem/Weapon.cc	(revision 11166)
+++ code/branches/sagerjFS16/src/orxonox/weaponsystem/Weapon.cc	(revision 11170)
@@ -114,5 +114,6 @@
         // Note: The reloading of each WeaponMode is internally handled by each A, B and C.
         //       The reloading of the weapon is only performed to avoid firing with different modes at the same time.
-        orxout() << "fire weapon " << mode << endl;
+   
+   
         if (this->bReloading_ && this->reloadingWeaponmode_ != mode)
             return;
@@ -137,5 +138,4 @@
     void Weapon::release(unsigned int mode)
     {
-        orxout() << "release weapon " << mode << endl;
         if (this->bReloading_ && this->reloadingWeaponmode_ != mode)
             return;
Index: code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponMode.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponMode.cc	(revision 11166)
+++ code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponMode.cc	(revision 11170)
@@ -121,5 +121,4 @@
     {
         (*reloadTime) = this->reloadTime_;
-        orxout() << "fire wm " << reloadTime << endl;
         // Fireing is only possible if this weapon mode is not reloading and there is enough munition
         if (!this->bReloading_ && this->munition_ && this->munition_->takeMunition(this->munitionPerShot_, this))
@@ -171,5 +170,5 @@
     bool WeaponMode::release(float* reloadTime)
     {
-        orxout() << "release wm " << reloadTime << endl;
+        this->release();
         return false;
     }
Index: code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponMode.h
===================================================================
--- code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponMode.h	(revision 11166)
+++ code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponMode.h	(revision 11170)
@@ -165,4 +165,5 @@
 
             virtual void fire() = 0;
+            virtual void release() {};
 
             unsigned int initialMunition_;
Index: code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponPack.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponPack.cc	(revision 11166)
+++ code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponPack.cc	(revision 11170)
@@ -76,5 +76,4 @@
     void WeaponPack::fire(unsigned int weaponmode)
     {
-        orxout() << "fire wp " << weaponmode << endl;
         for (Weapon* weapon : this->weapons_)
             weapon->fire(weaponmode);
@@ -83,5 +82,4 @@
     void WeaponPack::release(unsigned int weaponmode)
     {
-        orxout() << "release wp " << weaponmode << endl;
         for (Weapon* weapon : this->weapons_)
             weapon->release(weaponmode);
Index: code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponSet.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponSet.cc	(revision 11166)
+++ code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponSet.cc	(revision 11170)
@@ -63,5 +63,4 @@
     {
         // Fire all WeaponPacks with their defined weaponmode
-        orxout() << "fire wset " << endl;
         for (const auto& mapEntry : this->weaponpacks_)
             if (mapEntry.second != WeaponSystem::WEAPON_MODE_UNASSIGNED)
@@ -72,5 +71,4 @@
     {
         // Fire all WeaponPacks with their defined weaponmode
-        orxout() << "release wset " << endl;
         for (const auto& mapEntry : this->weaponpacks_)
             if (mapEntry.second != WeaponSystem::WEAPON_MODE_UNASSIGNED)
Index: code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponSystem.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 11166)
+++ code/branches/sagerjFS16/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 11170)
@@ -289,5 +289,4 @@
     void WeaponSystem::fire(unsigned int firemode)
     {
-        orxout() << "fire wsys " << firemode << endl;
         std::map<unsigned int, WeaponSet *>::iterator it = this->weaponSets_.find(firemode);
         if (it != this->weaponSets_.end() && it->second)
@@ -297,5 +296,4 @@
     void WeaponSystem::release(unsigned int firemode)
     {
-        orxout() << "release wsys " << firemode << endl;
         std::map<unsigned int, WeaponSet *>::iterator it = this->weaponSets_.find(firemode);
         if (it != this->weaponSets_.end() && it->second)
Index: code/branches/sagerjFS16/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/worldentities/ControllableEntity.cc	(revision 11166)
+++ code/branches/sagerjFS16/src/orxonox/worldentities/ControllableEntity.cc	(revision 11170)
@@ -303,10 +303,8 @@
         if(GameMode::isMaster())
         {
-            orxout() << "fire ce if " << firemode << endl;
             this->fired(firemode);
         }
         else
         {
-            orxout() << "fire ce else " << firemode << endl;
             callMemberNetworkFunction(&ControllableEntity::fire, this->getObjectID(), 0, firemode);
         }
@@ -317,10 +315,8 @@
         if(GameMode::isMaster())
         {
-            orxout() << "release ce if " << firemode << endl;
             this->released(firemode);
         }
         else
         {
-            orxout() << "release ce else " << firemode << endl;
             callMemberNetworkFunction(&ControllableEntity::fire, this->getObjectID(), 0, firemode);
         }
Index: code/branches/sagerjFS16/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/sagerjFS16/src/orxonox/worldentities/pawns/Pawn.cc	(revision 11166)
+++ code/branches/sagerjFS16/src/orxonox/worldentities/pawns/Pawn.cc	(revision 11170)
@@ -430,5 +430,4 @@
     void Pawn::fired(unsigned int firemode)
     {
-        orxout() << "fired pawn " << firemode << endl;
         if (this->weaponSystem_)
             this->weaponSystem_->fire(firemode);
@@ -437,5 +436,4 @@
     void Pawn::released(unsigned int firemode)
     {
-        orxout() << "released pawn " << firemode << endl;
         if (this->weaponSystem_)
             this->weaponSystem_->release(firemode);