Index: code/branches/plehmannFS16/data/gui/scripts/testscript.lua
===================================================================
--- code/branches/plehmannFS16/data/gui/scripts/testscript.lua	(revision 11172)
+++ code/branches/plehmannFS16/data/gui/scripts/testscript.lua	(revision 11178)
@@ -23,6 +23,7 @@
 if ctrl ~= nil then
 
-
-    ctrl:debugOut()
+    --ctrl:printDebug()
+  --ctrl:debugOut(1000)
+  --ctrl:stringOut(10000, "hello")
   --ctrl:eventScheduler("mal", xl,yl,zl, xl,yl,zl, 10)
   -- ctrl:eventScheduler("ral", xl, yl, zl, 3, 3000, 0, math.pi)
Index: code/branches/plehmannFS16/data/levels/scriptController.oxw
===================================================================
--- code/branches/plehmannFS16/data/levels/scriptController.oxw	(revision 11172)
+++ code/branches/plehmannFS16/data/levels/scriptController.oxw	(revision 11178)
@@ -39,5 +39,5 @@
     <Billboard position="2500,0,0" material="Flares/ringflare2" colour="0.2,0.4,0.8" scale=10 />
     <DistanceTrigger position="2500,0,0" distance="200" target="Pawn"
-      beaconMode="exclude" targetname="bcnDestroyer" name="takeControl"
+      beaconMode="exclude" targetname="bcnDestroyer" name="takeControl" stayActive="true"
     />
 
Index: code/branches/plehmannFS16/src/orxonox/controllers/CMakeLists.txt
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/CMakeLists.txt	(revision 11172)
+++ code/branches/plehmannFS16/src/orxonox/controllers/CMakeLists.txt	(revision 11178)
@@ -5,5 +5,4 @@
   ArtificialController.cc
   AIController.cc
-  
   WaypointController.cc
   WaypointPatrolController.cc
@@ -22,3 +21,4 @@
   Task.cc
   DebugTask.cc
+  stringOutTask.cc
 )
Index: code/branches/plehmannFS16/src/orxonox/controllers/DebugTask.cc
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/DebugTask.cc	(revision 11172)
+++ code/branches/plehmannFS16/src/orxonox/controllers/DebugTask.cc	(revision 11178)
@@ -46,5 +46,4 @@
     void DebugTask::tick(float dt)
     {
-        SUPER(DebugTask, tick, dt);
     	orxout() << "*" << endl;
     }
Index: code/branches/plehmannFS16/src/orxonox/controllers/NewScriptController.cc
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/NewScriptController.cc	(revision 11172)
+++ code/branches/plehmannFS16/src/orxonox/controllers/NewScriptController.cc	(revision 11178)
@@ -45,4 +45,5 @@
 
 #include "DebugTask.h"
+#include "stringOutTask.h"
 #include "Task.h"
 #include "infos/PlayerInfo.h"
@@ -70,9 +71,4 @@
 
         this->context_ = context;
-
-        task_ = new DebugTask(context);
-
-        //taskQueue_->push(new DebugTask);
-
     }
 
@@ -119,5 +115,22 @@
         if( !(this->entity_) ) return;
 
-        taskQueue_->first()->tick();
+
+/*
+        if(taskQueue_.front()->getStartTime() <= scTime_)
+        {
+          activeTasks_.push_back(taskQueue_.front());
+          taskQueue_.pop();
+        }
+
+        for(Task* task : activeTasks_)
+        {
+          task->tick(dt);
+        }*/
+
+        if(taskQueue_.front() != nullptr)
+        {
+          orxout() << taskQueue_.front() << endl;
+          //taskQueue_.front()->tick(dt);
+        }
     }
 
@@ -125,12 +138,19 @@
     void NewScriptController::createAndAddTask(Task newTask)
     {
-      taskQueue_->push(newTask);
+      //taskQueue_->push(newTask);
     }
 
     void NewScriptController::debugOut(float startTime)
     {
-      DebugTask* task = new DebugTask(context);
-      task->initialize(10000);
-      taskQueue_->push(task);
+      DebugTask* task = new DebugTask(context_);
+      task->initialize(startTime);
+      taskQueue_.push(task);
+    }
+
+    void NewScriptController::stringOut(float startTime, std::string output)
+    {
+      stringOutTask* task = new stringOutTask(context_);
+      task->initialize(startTime, output);
+      taskQueue_.push(task);
     }
 
Index: code/branches/plehmannFS16/src/orxonox/controllers/NewScriptController.h
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/NewScriptController.h	(revision 11172)
+++ code/branches/plehmannFS16/src/orxonox/controllers/NewScriptController.h	(revision 11178)
@@ -31,4 +31,5 @@
 
 #include "DebugTask.h"
+#include "stringOutTask.h"
 #include "Task.h"
 #include "OrxonoxPrereqs.h"                 /* die ganzen tolua, kopiert aus Dock.h*/
@@ -57,9 +58,13 @@
             // LUA interface
 
-            void debugOut(float startTime);// tolua_export 
+            void debugOut(float startTime);// tolua_export
+
+            void stringOut(float startTime, std::string output);// tolua_export
 
             static NewScriptController* getNewScriptController();// tolua_export 
 
             int getID() { return ctrlid_; }// tolua_export 
+
+            void printDebug() {orxout() << "fffff" << endl;} // tolua_export
 
 
@@ -80,16 +85,16 @@
 
             // List of events to walk through 
-            std::queue<Task*>* taskQueue_;
+            std::queue<Task*> taskQueue_;
 
 
             //List of Tasks currently active 
-            std::vector<Task*>* activeTasks_;
+            std::vector<Task*> activeTasks_;
 
             // Time since the creation of this ScriptController object
             float scTime_;  
 
-            DebugTask* task_;
 
-            context* context_;
+            // context of the Controller to create the tasks
+            Context* context_;
 
 
Index: code/branches/plehmannFS16/src/orxonox/controllers/Task.h
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/Task.h	(revision 11172)
+++ code/branches/plehmannFS16/src/orxonox/controllers/Task.h	(revision 11178)
@@ -32,9 +32,10 @@
 #include "infos/PlayerInfo.h"
 #include "tools/interfaces/Tickable.h"
+#include "core/class/OrxonoxClass.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport Task : public Tickable
-    {
+    class _OrxonoxExport Task : public OrxonoxClass {
+   
         public:
             Task(Context* context);
@@ -44,5 +45,5 @@
             void initialize(float startTime);
 
-            virtual void tick(float dt) override;
+            virtual void tick(float dt);
 
             void setIsRunning(bool shouldBeRunning)