Index: code/branches/plehmannFS16/data/gui/scripts/testscript.lua
===================================================================
--- code/branches/plehmannFS16/data/gui/scripts/testscript.lua	(revision 11179)
+++ code/branches/plehmannFS16/data/gui/scripts/testscript.lua	(revision 11183)
@@ -23,7 +23,7 @@
 if ctrl ~= nil then
 
-    --ctrl:printDebug()
-  --ctrl:debugOut(1000)
-  --ctrl:stringOut(10000, "hello")
+  ctrl:printDebug()
+  ctrl:debugOut(5)
+  ctrl:stringOut(3, "hello")
   --ctrl:eventScheduler("mal", xl,yl,zl, xl,yl,zl, 10)
   -- ctrl:eventScheduler("ral", xl, yl, zl, 3, 3000, 0, math.pi)
Index: code/branches/plehmannFS16/src/orxonox/controllers/CMakeLists.txt
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/CMakeLists.txt	(revision 11179)
+++ code/branches/plehmannFS16/src/orxonox/controllers/CMakeLists.txt	(revision 11183)
@@ -19,6 +19,4 @@
   MasterController.cc
   NewScriptController.cc
-  Task.cc
-  DebugTask.cc
-  stringOutTask.cc
 )
+ADD_SUBDIRECTORY(scriptTasks)
Index: code/branches/plehmannFS16/src/orxonox/controllers/DebugTask.cc
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/DebugTask.cc	(revision 11179)
+++ 	(revision )
@@ -1,51 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Paul Lehmann
- *   Co-authors:
- *      ...
- *
- */
-
-
-#include "DebugTask.h"
-
-#include "infos/PlayerInfo.h"
-#include "controllers/ArtificialController.h"
-#include "tools/interfaces/Tickable.h"
-
-namespace orxonox
-{
-   
-    RegisterClass(DebugTask);
-
-    DebugTask::DebugTask(Context* context): Task(context)
-    {
-        RegisterObject(DebugTask);
-    }
-
-    void DebugTask::tick(float dt)
-    {
-    	orxout() << "*" << endl;
-    }
-
-}
Index: code/branches/plehmannFS16/src/orxonox/controllers/DebugTask.h
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/DebugTask.h	(revision 11179)
+++ 	(revision )
@@ -1,55 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Paul Lehmann
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _DebugTask_H__
-#define _DebugTask_H__
-
-#include "infos/PlayerInfo.h"
-#include "controllers/ArtificialController.h"
-#include "tools/interfaces/Tickable.h"
-#include "Task.h"
-
-namespace orxonox
-{
-    class _OrxonoxExport DebugTask : public Task
-    {
-        public:
-            DebugTask(Context* context);
-            virtual ~DebugTask(){}
-
-            void initialize(float startTime)
-                {this->startTime_ = startTime;}
-
-            virtual void tick(float dt) override;
-
-        private:
-
-    };
-}
-
-#endif /* _DebugTask_H__ */
Index: code/branches/plehmannFS16/src/orxonox/controllers/NewScriptController.cc
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/NewScriptController.cc	(revision 11179)
+++ code/branches/plehmannFS16/src/orxonox/controllers/NewScriptController.cc	(revision 11183)
@@ -44,7 +44,7 @@
 #include "NewScriptController.h"
 
-#include "DebugTask.h"
-#include "stringOutTask.h"
-#include "Task.h"
+#include "scriptTasks/DebugTask.h"
+#include "scriptTasks/stringOutTask.h"
+#include "scriptTasks/Task.h"
 #include "infos/PlayerInfo.h"
 #include "core/CoreIncludes.h"
@@ -71,4 +71,6 @@
 
         this->context_ = context;
+
+        
     }
 
@@ -87,7 +89,7 @@
 
         this->ctrlid_ = ctrlid;
-        if (ctrlid_ == 0)
-        {
-          ctrlid_ = 1;
+        if (this->ctrlid_ == 0)
+        {
+          this->ctrlid_ = 1;
         }
          
@@ -128,9 +130,32 @@
         }*/
 
-        if(taskQueue_.front() != nullptr)
-        {
-          orxout() << taskQueue_.front() << endl;
-          //taskQueue_.front()->tick(dt);
-        }
+        if(this->taskList_.size() != 0)
+        {
+
+          orxout() << this->scTime_ << endl;
+
+          if(this->taskList_.front()->getStartTime() < this->scTime_)
+          {
+             activeTasks_.push_back(this->taskList_.front());
+             this->taskList_.pop_front();
+          }
+        }
+        else
+        {
+          //orxout() << "no tasks in taskList_" << endl;
+        }
+        
+        for (std::vector<Task*>::iterator it = activeTasks_.begin(); it != activeTasks_.end(); it++)
+        {
+          if( !((*it)->update(dt)) )
+          {
+            delete (*it); // delete the task that was created with new
+            activeTasks_.erase(it);
+            it--; // set back the iterator so we continue with the next element and not with the one after that
+          }
+        }
+
+
+        scTime_ += dt;
     }
 
@@ -145,5 +170,22 @@
       DebugTask* task = new DebugTask(context_);
       task->initialize(startTime);
-      taskQueue_.push(task);
+
+      if(taskList_.empty())
+      {
+        taskList_.push_front(task);
+      }
+
+      else
+      {
+        for (std::list<Task*>::iterator it = taskList_.begin(); it != taskList_.end(); it++) // insert sorted by starttime
+        {
+          orxout() << taskList_.empty() << endl;
+
+          if(task->getStartTime() < (*it)->getStartTime() )
+          {
+            taskList_.insert(it, task);
+          }
+        }
+      }
     }
 
@@ -152,5 +194,22 @@
       stringOutTask* task = new stringOutTask(context_);
       task->initialize(startTime, output);
-      taskQueue_.push(task);
+
+      if(taskList_.empty())
+      {
+        taskList_.push_front(task);
+      }
+
+      else
+      {
+        for (std::list<Task*>::iterator it = taskList_.begin(); it != taskList_.end(); it++) // insert sorted by starttime
+        {
+          orxout() << taskList_.empty() << endl;
+
+          if(task->getStartTime() < (*it)->getStartTime() )
+          {
+            taskList_.insert(it, task);
+          }
+        }
+      }
     }
 
Index: code/branches/plehmannFS16/src/orxonox/controllers/NewScriptController.h
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/NewScriptController.h	(revision 11179)
+++ code/branches/plehmannFS16/src/orxonox/controllers/NewScriptController.h	(revision 11183)
@@ -30,7 +30,7 @@
 #define _NewScriptController_H__
 
-#include "DebugTask.h"
-#include "stringOutTask.h"
-#include "Task.h"
+#include "scriptTasks/DebugTask.h"
+#include "scriptTasks/stringOutTask.h"
+#include "scriptTasks/Task.h"
 #include "OrxonoxPrereqs.h"                 /* die ganzen tolua, kopiert aus Dock.h*/
 #include "ArtificialController.h"
@@ -84,6 +84,6 @@
             int ctrlid_;
 
-            // List of events to walk through 
-            std::queue<Task*> taskQueue_;
+            // List of events to walk through sorted by starting times
+            std::list<Task*> taskList_;
 
 
Index: code/branches/plehmannFS16/src/orxonox/controllers/Task.cc
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/Task.cc	(revision 11179)
+++ 	(revision )
@@ -1,56 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Paul Lehmann
- *   Co-authors:
- *      ...
- *
- */
-
-
-#include "Task.h"
-
-#include "infos/PlayerInfo.h"
-#include "tools/interfaces/Tickable.h"
-
-namespace orxonox
-{
-   
-    RegisterClass(Task);
-
-    Task::Task(Context* context) : isRunning_(false)
-    {
-        RegisterObject(Task);
-        startTime_ = -1;
-    }
-
-    void Task::initialize(float startTime)
-    {
-    	startTime_ = startTime;
-    }
-
-    void Task::tick(float dt)
-    {
-        SUPER(Task, tick, dt);
-    }
-
-}
Index: code/branches/plehmannFS16/src/orxonox/controllers/Task.h
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/Task.h	(revision 11179)
+++ 	(revision )
@@ -1,67 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Paul Lehmann
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _Task_H__
-#define _Task_H__
-
-#include "infos/PlayerInfo.h"
-#include "tools/interfaces/Tickable.h"
-#include "core/class/OrxonoxClass.h"
-
-namespace orxonox
-{
-    class _OrxonoxExport Task : public OrxonoxClass {
-   
-        public:
-            Task(Context* context);
-            virtual ~Task(){}
-
-            //this function needs to be called otherwise the task is never carriedout
-            void initialize(float startTime);
-
-            virtual void tick(float dt);
-
-            void setIsRunning(bool shouldBeRunning)
-                {isRunning_ = shouldBeRunning;}
-
-            bool getIsRunning()
-                {return isRunning_;}
-
-            float getStartTime()
-                {return startTime_;}
-
-       //private:
-
-        	bool isRunning_;
-
-        	float startTime_;
-
-    };
-}
-
-#endif /* _Task_H__ */
Index: code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/CMakeLists.txt
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/CMakeLists.txt	(revision 11183)
+++ code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/CMakeLists.txt	(revision 11183)
@@ -0,0 +1,5 @@
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
+  Task.cc
+  DebugTask.cc
+  stringOutTask.cc
+)
Index: code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/DebugTask.cc
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/DebugTask.cc	(revision 11183)
+++ code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/DebugTask.cc	(revision 11183)
@@ -0,0 +1,62 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Paul Lehmann
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
+#include "DebugTask.h"
+
+#include "infos/PlayerInfo.h"
+#include "controllers/ArtificialController.h"
+#include "tools/interfaces/Tickable.h"
+
+namespace orxonox
+{
+   
+    RegisterClass(DebugTask);
+
+    DebugTask::DebugTask(Context* context): Task(context)
+    {
+        RegisterObject(DebugTask);
+        counter = 0;
+    }
+
+    bool DebugTask::update(float dt)
+    {
+    	orxout() << "*" << endl;
+
+    	if (counter == 10)
+    	{
+    		return false;
+    	}
+    	else
+    	{
+    		counter++;
+    		return true;
+    	}
+    }
+
+}
Index: code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/DebugTask.h
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/DebugTask.h	(revision 11183)
+++ code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/DebugTask.h	(revision 11183)
@@ -0,0 +1,57 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Paul Lehmann
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _DebugTask_H__
+#define _DebugTask_H__
+
+#include "infos/PlayerInfo.h"
+#include "controllers/ArtificialController.h"
+#include "tools/interfaces/Tickable.h"
+#include "Task.h"
+
+namespace orxonox
+{
+    class _OrxonoxExport DebugTask : public Task
+    {
+        public:
+            DebugTask(Context* context);
+            virtual ~DebugTask(){}
+
+            void initialize(float startTime)
+                {this->startTime_ = startTime;}
+
+            virtual bool update(float dt) override;
+
+        private:
+
+            int counter;
+
+    };
+}
+
+#endif /* _DebugTask_H__ */
Index: code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/Task.cc
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/Task.cc	(revision 11183)
+++ code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/Task.cc	(revision 11183)
@@ -0,0 +1,56 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Paul Lehmann
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
+#include "Task.h"
+
+#include "infos/PlayerInfo.h"
+#include "tools/interfaces/Tickable.h"
+
+namespace orxonox
+{
+   
+    RegisterClass(Task);
+
+    Task::Task(Context* context)
+    {
+        RegisterObject(Task);
+        startTime_ = -1;
+    }
+
+    void Task::initialize(float startTime)
+    {
+    	startTime_ = startTime;
+    }
+
+    bool Task::update(float dt)
+    {
+        SUPER(Task, tick, dt);
+    }
+
+}
Index: code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/Task.h
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/Task.h	(revision 11183)
+++ code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/Task.h	(revision 11183)
@@ -0,0 +1,60 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Paul Lehmann
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _Task_H__
+#define _Task_H__
+
+#include "infos/PlayerInfo.h"
+#include "tools/interfaces/Tickable.h"
+#include "core/class/OrxonoxClass.h"
+
+namespace orxonox
+{
+    class _OrxonoxExport Task : public OrxonoxClass {
+   
+        public:
+            Task(Context* context);
+            virtual ~Task(){}
+
+            //this function needs to be called otherwise the task is never carried out
+            void initialize(float startTime);
+
+            //important return true while the task is running and false to stop it!!!
+            virtual bool update(float dt); 
+
+            float getStartTime()
+                {return startTime_;}
+
+       //private:
+
+        	float startTime_;
+
+    };
+}
+
+#endif /* _Task_H__ */
Index: code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/stringOutTask.cc
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/stringOutTask.cc	(revision 11183)
+++ code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/stringOutTask.cc	(revision 11183)
@@ -0,0 +1,51 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Paul Lehmann
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
+#include "stringOutTask.h"
+
+#include "infos/PlayerInfo.h"
+#include "controllers/ArtificialController.h"
+
+namespace orxonox
+{
+   
+    RegisterClass(stringOutTask);
+
+    stringOutTask::stringOutTask(Context* context): Task(context)
+    {
+        RegisterObject(stringOutTask);
+    }
+
+    bool stringOutTask::update(float dt)
+    {
+    	orxout() << output_ << endl;
+        return false;
+    }
+
+}
Index: code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/stringOutTask.h
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/stringOutTask.h	(revision 11183)
+++ code/branches/plehmannFS16/src/orxonox/controllers/scriptTasks/stringOutTask.h	(revision 11183)
@@ -0,0 +1,57 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Paul Lehmann
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _stringOutTask_H__
+#define _stringOutTask_H__
+
+#include "infos/PlayerInfo.h"
+#include "controllers/ArtificialController.h"
+#include "tools/interfaces/Tickable.h"
+#include "Task.h"
+
+namespace orxonox
+{
+    class _OrxonoxExport stringOutTask : public Task
+    {
+        public:
+            stringOutTask(Context* context);
+            virtual ~stringOutTask(){}
+
+            void initialize(float startTime, std::string output)
+                {this->startTime_ = startTime; this->output_ = output;}
+
+            virtual bool update(float dt) override;
+
+        private:
+
+            std::string output_;
+
+    };
+}
+
+#endif /* _stringOutTask_H__ */
Index: code/branches/plehmannFS16/src/orxonox/controllers/stringOutTask.cc
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/stringOutTask.cc	(revision 11179)
+++ 	(revision )
@@ -1,50 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Paul Lehmann
- *   Co-authors:
- *      ...
- *
- */
-
-
-#include "stringOutTask.h"
-
-#include "infos/PlayerInfo.h"
-#include "controllers/ArtificialController.h"
-
-namespace orxonox
-{
-   
-    RegisterClass(stringOutTask);
-
-    stringOutTask::stringOutTask(Context* context): Task(context)
-    {
-        RegisterObject(stringOutTask);
-    }
-
-    void stringOutTask::tick(float dt)
-    {
-    	orxout() << output_ << endl;
-    }
-
-}
Index: code/branches/plehmannFS16/src/orxonox/controllers/stringOutTask.h
===================================================================
--- code/branches/plehmannFS16/src/orxonox/controllers/stringOutTask.h	(revision 11179)
+++ 	(revision )
@@ -1,57 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Paul Lehmann
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _stringOutTask_H__
-#define _stringOutTask_H__
-
-#include "infos/PlayerInfo.h"
-#include "controllers/ArtificialController.h"
-#include "tools/interfaces/Tickable.h"
-#include "Task.h"
-
-namespace orxonox
-{
-    class _OrxonoxExport stringOutTask : public Task
-    {
-        public:
-            stringOutTask(Context* context);
-            virtual ~stringOutTask(){}
-
-            void initialize(float startTime, std::string output)
-                {this->startTime_ = startTime; this->output_ = output;}
-
-            virtual void tick(float dt) override;
-
-        private:
-
-            std::string output_;
-
-    };
-}
-
-#endif /* _stringOutTask_H__ */